/*******************************************************************************
 * FoxCameraLensEffect_StunMine generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxCameraLensEffect_StunMine extends FoxCameraLensEffect_Base
    abstract
    hidecategories(Navigation);

var private const name InterpParamName;

function Tick(float DeltaTime)
{
    local float Strength;
    local Color Param;

    super(Actor).Tick(DeltaTime);
    Strength = FoxPawn(BaseCamera.PCOwner.Pawn).GetStunStrength();
    Param.A = byte(Strength * float(255));
    ParticleSystemComponent.SetColorParameter(InterpParamName, Param);
    //return;    
}

defaultproperties
{
    InterpParamName=Interp
    begin object name=ParticleSystemComponent0 class=ParticleSystemComponent
        ReplacementPrimitive=none
    object end
    // Reference: ParticleSystemComponent'Default__FoxCameraLensEffect_StunMine.ParticleSystemComponent0'
    ParticleSystemComponent=ParticleSystemComponent0
    begin object name=ParticleSystemComponent0 class=ParticleSystemComponent
        ReplacementPrimitive=none
    object end
    // Reference: ParticleSystemComponent'Default__FoxCameraLensEffect_StunMine.ParticleSystemComponent0'
    Components(0)=ParticleSystemComponent0
}